<html>
    <head>
        <title>App Enquete</title>
    </head>
    <boby>
        <h2>Detalhes da Enquete {{ pergunta.id }}</h2>
        <u>Pergunta</u>: {{ pergunta.texto }}<br/>
        <u>Data de Publicação</u>: {{ pergunta.data_publicacao }}
        {% if error_message %}
            <hr/>
            <strong>{{ error_message }}</strong>
            <hr/>
        {% endif %}
        <form action="{% url 'main:votacao' pergunta.id %}" method="post">
            {% csrf_token %}
            <ul>
                {% for opcao in pergunta.opcao_set.all %}
                    <li><input type="radio" name="opcao"
                        id="opcao{{ forloop.counter }}" value="{{ opcao.id }}">
                        <label for="opcao{{ forloop.counter }}">
                            {{ opcao.texto }}
                        </label>
                    </li>
                {% endfor %}





            </ul>
            <input type="submit" value="Registre o seu Voto">
        </form>
        <hr>
        <a href="{% url 'main:index' %}">Retorne a página principal</a>
        <br>

        <h2>Comentários sobre esta enquete:</h2>

        <br>
        {% for comentario in pergunta.comentario_set.all %}
        <h4><a href="{% url 'main:detalhecomentario' comentario.id %}">{{ comentario.texto }}</a></br></h4>
        <br>
        {% endfor %}
    </boby>
</html>
